/*
 *    Copyright (c) 2018-2025, lengleng All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the yifu4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: lengleng (wangiegie@gmail.com)
 */
package com.yifu.cloud.plus.v1.yifu.archives.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yifu.cloud.plus.v1.yifu.common.mybatis.base.BaseEntity;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 客户数据权限表
 *
 * @author hgw
 * @date 2022-06-20 09:59:17
 */
@Data
@TableName("t_cutsomer_data_permisson")
@EqualsAndHashCode(callSuper = true)
@Schema(description = "客户数据权限表")
public class TCutsomerDataPermisson extends BaseEntity {

	/**
	 * 主键
	 */
	@TableId(type = IdType.ASSIGN_ID)
	@Schema(description = "主键")
	private String id;

	/**
	 * 是否是所有者
	 */
	@Schema(description = "是否是所有者")
	private String isOwner;

	/**
	 * 合同主体ID
	 */
	@Schema(description = "合同主体ID")
	private String contractId;

	/**
	 * 客户ID
	 */
	@Schema(description = "客户ID")
	private String customerId;

	/**
	 * 授权来源
	 */
	@Schema(description = "授权来源")
	private String permissonSrc;

	/**
	 * 授权等级
	 */
	@Schema(description = "授权等级")
	private Integer permissonLevel;

	/**
	 * 被授权人
	 */
	@Schema(description = "被授权人")
	private String bePermissonUser;

	/**
	 * 被授权时间
	 */
	@Schema(description = "被授权时间")
	private LocalDateTime bePermissionTime;

	/**
	 * 备注
	 */
	@Schema(description = "备注")
	private String remark;

	/**
	 * 结算主体ID
	 */
	@Schema(description = "结算主体ID")
	private String settleDomainId;

	/**
	 * 被授权的角色
	 */
	@Schema(description = "被授权的角色")
	private String bePermissonRole;

	/**
	 * 被授权的组织机构
	 */
	@Schema(description = "被授权的组织机构")
	private String bePermissonOrgan;

	/**
	 * 授权人
	 */
	@Schema(description = "授权人")
	private String permissionUser;

	/**
	 * 是否客服（0是1否）
	 */
	@Schema(description = "是否客服（0是1否）")
	private String isCustomerService;

	/**
	 * 类型0:客户1:合同2:结算主体
	 */
	@Schema(description = "类型0:客户1:合同2:结算主体")
	private String type;


}
