/*
 *    Copyright (c) 2018-2025, lengleng All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the yifu4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: lengleng (wangiegie@gmail.com)
 */
package com.yifu.cloud.plus.v1.yifu.archives.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.yifu.cloud.plus.v1.yifu.common.mybatis.base.BaseEntity;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 员工伤残信息表
 *
 * @author fxj
 * @date 2022-06-18 09:39:46
 */
@Data
@TableName("t_emp_disability_info")
@EqualsAndHashCode(callSuper = true)
@Schema(description = "员工伤残信息表")
public class TEmpDisabilityInfo extends BaseEntity {

    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    @Schema(description ="主键")
    private String id;

    /**
     * 员工ID
     */
    @Schema(description ="员工ID")
    private String empId;

    /**
     * 员工姓名
     */
    @Schema(description ="员工姓名")
    private String empName;

    /**
     * 员工编码
     */
    @Schema(description ="员工编码")
    private String empCode;

    /**
     * 身份证号
     */
    @Schema(description ="身份证号")
    private String empIdcard;

    /**
     * 伤残病名称
     */
    @Schema(description ="伤残病名称")
    private String disabilityName;

    /**
     * 伤残等级
     */
    @Schema(description ="伤残等级")
    private String disabilityLevel;

    /**
     * 是否工伤标识0是/1否
     */
    @Schema(description ="是否工伤标识0是/1否")
    private String injuryIdentification;

    /**
     * 伤残开始日期
     */
    @Schema(description ="伤残开始日期")
    private LocalDateTime startTime;

    /**
     * 伤残结束日期
     */
    @Schema(description ="伤残结束日期")
    private LocalDateTime endTime;

    /**
     * 职业病名称
     */
    @Schema(description ="职业病名称")
    private String occupationalDisease;

    /**
     * 0删除作废1正常
     */
	@TableLogic
    @Schema(description ="0删除作废1正常")
    private String deleteFlag;

    /**
     * 备注
     */
    @Schema(description ="备注")
    private String remark;

	/**
	 * @Author fxj
	 * @Description 附件ID
	 * @Date 14:53 2022/6/21
	 **/
	@TableField(exist = false)
	private String attaIds;

}
